package com.joa.backend.controller;


import com.joa.backend.utils.ResponseResult;
import org.slf4j.Logger;
import org.slf4j.LoggerFactory;

public class BaseController {
    protected final Logger logger = LoggerFactory.getLogger(this.getClass());

    public ResponseResult error(String msg){
        return ResponseResult.error(msg);
    }

    public ResponseResult toResult(int rows){
        return rows > 0 ? ResponseResult.success() : ResponseResult.error();
    }
}
