package com.joa.backend.mapper;

import com.joa.backend.entity.SysUser;
import org.apache.ibatis.annotations.Mapper;

import java.util.List;

@Mapper
public interface SysUserMapper {


    List<SysUser> selectSysUserAll(SysUser sysUser);

    /**
     * 新增用户信息
     */
    int insertUser(SysUser sysUser);

    /**
     * 校验用户名是否唯一
     */
    SysUser checkUserNameUnique(String userName);

    /**
     * 校验手机号是否唯一
     */
    SysUser checkPhoneUnique(String phone);

    /**
     * 校验邮箱是否唯一
     */
    SysUser checkEmailUnique(String email);
}
